@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-normal.ttf') format('truetype');
  font-weight: normal;
}

@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-normal-italic.ttf') format('truetype');
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-bold.ttf') format('truetype');
  font-weight: bold;
}

@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-light.ttf') format('truetype');
  font-weight: 100;
}

@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-light-italic.ttf') format('truetype');
  font-weight: 100;
  font-style: italic;
}

@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-condensed-normal.ttf') format('truetype');
  font-weight: normal;
  font-stretch: condensed;
}

@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-condensed-bold.ttf') format('truetype');
  font-weight: bold;
  font-stretch: condensed;
}

@font-face {
  font-family: 'Futura';
  src: url('./fonts/futura-condensed-extrabold.ttf') format('truetype');
  font-weight: 800;
  font-stretch: condensed;
}

body {
  margin: 0;
  padding: 0;
  font-family: Futura, sans-serif;
  color: white;
  background-color: black;
  min-height: 100vh;
}

a {
  text-decoration: none;
  color: yellow;
}

a:hover, a:active, a:focus {
  text-decoration: none;
  color: white;
}

input, textarea {
  color: black;
}

input[type=text],
input[type=password] {
  display: block;
  text-align: center;
  margin: 0 auto;
  margin-bottom: 10px;
  color: white;
  background: black;
  border: none;
  width: 100%;
  border-bottom: 2px solid transparent;
  border-radius: 0;
  transition: border-color 300ms ease-in-out
}

input[type=text]:active,
input[type=text]:focus,
input[type=password]:active,
input[type=password]:focus {
  border-bottom-color: white;
  outline: none;
}

textarea {
  display: block;
  margin: 0 auto;
  margin-bottom: 10px;
  color: white;
  background: black;
  border: none;
  border-bottom: 2px solid transparent;
  border-radius: 0;
  transition: border-color 300ms ease-in-out;
}

textarea:active,
textarea:focus {
  border-bottom-color: white;
  outline: none;
}

button[type=submit] {
  display: block;
  margin: 0 auto;
  text-transform: uppercase;
  color: white;
  background: transparent;
  border-radius: 0;
  border-width: 2px;
  transition: color 100ms ease-in-out,
    background 100ms ease-in-out,
    border-color 100ms ease-in-out
}

button[type=submit]:hover,
button[type=submit]:active,
button[type=submit]:focus {
  color: black;
  background: white;
  border-color: white;
}

#root {
  font-size: 1.2em;
}